Javascript asset problem with dl4j UI

I do have the following problem with the UI component. Im following this guide (https://deeplearning4j.org/docs/latest/deeplearning4j-nn-visualization) to use it, but there seem to be problems with some javascript libraries.
Results look like the following: https://imgur.com/a/kRjX32j.
When opening the website we get following errors in Java. “WARN 2020-03-09 09:54:46.935 [ctor.default-dispatcher-7] - Could not find requested UI asset: webjars/bootstrap/2.3.2/css/bootstrap.min.css (Assets.java:57)
java.io.FileNotFoundException: META-INF/resources/webjars/bootstrap/2.3.2/css/bootstrap.min.css cannot be opened because it does not exist”
Same error for jquery.
Im starting dl4j out of Eclipse using Gradle as built tool and the latest version of dl4j. Im not sure what to do, found no info on the web.

Can you please run gradle dependencies and also share your gradle build file?

Relevant part of gradle built file (I was actually wrong with “the latest version of dl4j”, right now I use the beta4):
compile “org.deeplearning4j:deeplearning4j-core:1.0.0-beta4”
compile “org.nd4j:nd4j-native-platform:1.0.0-beta4”
//compile “org.nd4j:nd4j-cuda-8.0:1.0.0-beta2”
compile “org.deeplearning4j:deeplearning4j-ui_2.10:1.0.0-beta4”
compile “org.deeplearning4j:deeplearning4j-play_2.10:1.0.0-beta4”

relevant part of gradle dependecies:
±-- org.deeplearning4j:deeplearning4j-core:1.0.0-beta4
| ±-- org.deeplearning4j:deeplearning4j-tsne:1.0.0-beta4
| | ±-- org.deeplearning4j:nearestneighbor-core:1.0.0-beta4
| | | ±-- org.nd4j:nd4j-api:1.0.0-beta4
| | | | ±-- com.jakewharton.byteunits:byteunits:0.9.1
| | | | ±-- org.apache.commons:commons-math3:3.5
| | | | ±-- com.google.flatbuffers:flatbuffers-java:1.10.0
| | | | ±-- com.github.os72:protobuf-java-shaded-351:0.9
| | | | ±-- com.github.os72:protobuf-java-util-shaded-351:0.9
| | | | | ±-- com.github.os72:protobuf-java-shaded-351:0.9
| | | | | ±-- com.google.guava:guava:19.0 -> 26.0-jre ()
| | | | | — com.google.code.gson:gson:2.7
| | | | ±-- org.objenesis:objenesis:2.6
| | | | ±-- uk.com.robust-it:cloning:1.9.3 (
)
| | | | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | | | ±-- org.nd4j:jackson:1.0.0-beta4
| | | | | ±-- org.yaml:snakeyaml:1.12 -> 1.17
| | | | | ±-- org.codehaus.woodstox:stax2-api:3.1.4
| | | | | — joda-time:joda-time:2.2 -> 2.8.1
| | | | ±-- commons-net:commons-net:3.1
| | | | ±-- org.nd4j:nd4j-buffer:1.0.0-beta4
| | | | | ±-- org.nd4j:nd4j-context:1.0.0-beta4
| | | | | | — org.nd4j:nd4j-common:1.0.0-beta4
| | | | | | ±-- org.nd4j:jackson:1.0.0-beta4 ()
| | | | | | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | | | | | ±-- commons-io:commons-io:2.5 -> 2.6
| | | | | | ±-- org.apache.commons:commons-math3:3.5
| | | | | | ±-- org.apache.commons:commons-lang3:3.6 -> 3.8.1
| | | | | | ±-- org.apache.commons:commons-compress:1.16.1
| | | | | | | — org.objenesis:objenesis:2.6
| | | | | | ±-- com.google.guava:guava:20.0 -> 26.0-jre (
)
| | | | | | — commons-codec:commons-codec:1.10 -> 1.11
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.nd4j:nd4j-context:1.0.0-beta4 ()
| | | | — net.ericaro:neoitertools:1.0.0
| | | — org.deeplearning4j:deeplearning4j-nn:1.0.0-beta4
| | | ±-- org.deeplearning4j:deeplearning4j-utility-iterators:1.0.0-beta4
| | | | ±-- org.deeplearning4j:deeplearning4j-util:1.0.0-beta4
| | | | | ±-- org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | | | | — org.nd4j:nd4j-common:1.0.0-beta4 ()
| | | | — org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | | ±-- org.lucee:oswego-concurrent:1.3.4
| | | ±-- org.deeplearning4j:deeplearning4j-common:1.0.0-beta4
| | | | — org.nd4j:nd4j-common:1.0.0-beta4 ()
| | | ±-- commons-io:commons-io:2.5 -> 2.6
| | | ±-- org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | | ±-- org.nd4j:nd4j-native-api:1.0.0-beta4
| | | | ±-- org.nd4j:nd4j-buffer:1.0.0-beta4 ()
| | | | ±-- org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | | | — org.bytedeco:javacpp:1.5
| | | ±-- org.nd4j:nd4j-common:1.0.0-beta4 ()
| | | ±-- org.nd4j:jackson:1.0.0-beta4 (
)
| | | ±-- org.nd4j:nd4j-jackson:1.0.0-beta4
| | | | — org.nd4j:jackson:1.0.0-beta4 ()
| | | ±-- com.github.oshi:oshi-core:3.4.2 -> 3.13.0 (
)
| | | — it.unimi.dsi:fastutil:6.5.7
| | ±-- org.deeplearning4j:deeplearning4j-nn:1.0.0-beta4 ()
| | — org.nd4j:nd4j-api:1.0.0-beta4 (
)
| ±-- org.deeplearning4j:deeplearning4j-datasets:1.0.0-beta4
| | ±-- org.datavec:datavec-data-image:1.0.0-beta4
| | | ±-- org.datavec:datavec-api:1.0.0-beta4
| | | | ±-- org.apache.commons:commons-lang3:3.6 -> 3.8.1
| | | | ±-- commons-io:commons-io:2.5 -> 2.6
| | | | ±-- commons-codec:commons-codec:1.10 -> 1.11
| | | | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | | | ±-- joda-time:joda-time:2.2 -> 2.8.1
| | | | ±-- org.yaml:snakeyaml:1.12 -> 1.17
| | | | ±-- org.nd4j:jackson:1.0.0-beta4 ()
| | | | ±-- org.freemarker:freemarker:2.3.23
| | | | ±-- org.nd4j:nd4j-common:1.0.0-beta4 (
)
| | | | ±-- org.nd4j:nd4j-api:1.0.0-beta4 ()
| | | | ±-- com.clearspring.analytics:stream:2.7.0
| | | | | — it.unimi.dsi:fastutil:6.5.7
| | | | ±-- net.sf.opencsv:opencsv:2.3
| | | | ±-- com.tdunning:t-digest:3.2
| | | | — it.unimi.dsi:fastutil:6.5.7
| | | ±-- org.nd4j:nd4j-buffer:1.0.0-beta4 (
)
| | | ±-- com.github.jai-imageio:jai-imageio-core:1.3.0
| | | ±-- com.twelvemonkeys.imageio:imageio-jpeg:3.1.1
| | | | ±-- com.twelvemonkeys.imageio:imageio-core:3.1.1
| | | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | | ±-- com.twelvemonkeys.common:common-io:3.1.1
| | | | | | — com.twelvemonkeys.common:common-lang:3.1.1
| | | | | — com.twelvemonkeys.common:common-image:3.1.1
| | | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | | — com.twelvemonkeys.common:common-io:3.1.1 ()
| | | | ±-- com.twelvemonkeys.imageio:imageio-metadata:3.1.1
| | | | | ±-- com.twelvemonkeys.imageio:imageio-core:3.1.1 (
)
| | | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | | ±-- com.twelvemonkeys.common:common-io:3.1.1 ()
| | | | | — com.twelvemonkeys.common:common-image:3.1.1 (
)
| | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | ±-- com.twelvemonkeys.common:common-io:3.1.1 ()
| | | | — com.twelvemonkeys.common:common-image:3.1.1 (
)
| | | ±-- com.twelvemonkeys.imageio:imageio-tiff:3.1.1
| | | | ±-- com.twelvemonkeys.imageio:imageio-core:3.1.1 ()
| | | | ±-- com.twelvemonkeys.imageio:imageio-metadata:3.1.1 (
)
| | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | ±-- com.twelvemonkeys.common:common-io:3.1.1 ()
| | | | — com.twelvemonkeys.common:common-image:3.1.1 (
)
| | | ±-- com.twelvemonkeys.imageio:imageio-psd:3.1.1
| | | | ±-- com.twelvemonkeys.imageio:imageio-core:3.1.1 ()
| | | | ±-- com.twelvemonkeys.imageio:imageio-metadata:3.1.1 (
)
| | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | ±-- com.twelvemonkeys.common:common-io:3.1.1 ()
| | | | — com.twelvemonkeys.common:common-image:3.1.1 (
)
| | | ±-- com.twelvemonkeys.imageio:imageio-bmp:3.1.1
| | | | ±-- com.twelvemonkeys.imageio:imageio-core:3.1.1 ()
| | | | ±-- com.twelvemonkeys.common:common-lang:3.1.1
| | | | ±-- com.twelvemonkeys.common:common-io:3.1.1 (
)
| | | | — com.twelvemonkeys.common:common-image:3.1.1 ()
| | | ±-- org.bytedeco:javacpp:1.5
| | | ±-- org.bytedeco:javacv:1.5
| | | | ±-- org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:opencv:4.0.1-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:ffmpeg:4.1.3-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:flycapture:2.13.3.31-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:libdc1394:2.2.5-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:libfreenect:0.5.7-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:libfreenect2:0.2.0-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:librealsense:1.12.1-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:videoinput:0.200-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:artoolkitplus:2.3.1-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:flandmark:1.07-1.5
| | | | | ±-- org.bytedeco:opencv:4.0.1-1.5 (
)
| | | | | — org.bytedeco:javacpp:1.5
| | | | ±-- org.bytedeco:leptonica:1.78.0-1.5
| | | | | — org.bytedeco:javacpp:1.5
| | | | — org.bytedeco:tesseract:4.0.0-1.5
| | | | ±-- org.bytedeco:leptonica:1.78.0-1.5 ()
| | | | — org.bytedeco:javacpp:1.5
| | | ±-- org.bytedeco:opencv-platform:4.0.1-1.5
| | | | — org.bytedeco:opencv:4.0.1-1.5 (
)
| | | ±-- org.bytedeco:leptonica-platform:1.78.0-1.5
| | | | — org.bytedeco:leptonica:1.78.0-1.5 ()
| | | ±-- org.bytedeco:hdf5-platform:1.10.5-1.5
| | | | — org.bytedeco:hdf5:1.10.5-1.5
| | | | — org.bytedeco:javacpp:1.5
| | | — org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | ±-- org.deeplearning4j:deeplearning4j-datavec-iterators:1.0.0-beta4
| | | ±-- org.datavec:datavec-api:1.0.0-beta4 ()
| | | — org.nd4j:nd4j-api:1.0.0-beta4 (
)
| | — org.deeplearning4j:deeplearning4j-common:1.0.0-beta4 ()
| ±-- org.deeplearning4j:deeplearning4j-datavec-iterators:1.0.0-beta4 (
)
| ±-- org.deeplearning4j:deeplearning4j-modelimport:1.0.0-beta4
| | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | ±-- org.nd4j:nd4j-api:1.0.0-beta4 ()
| | ±-- org.deeplearning4j:deeplearning4j-nn:1.0.0-beta4 (
)
| | ±-- org.nd4j:jackson:1.0.0-beta4 ()
| | ±-- org.bytedeco:javacpp:1.5
| | ±-- org.bytedeco:hdf5-platform:1.10.5-1.5 (
)
| | — org.deeplearning4j:deeplearning4j-common:1.0.0-beta4 ()
| ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| ±-- org.deeplearning4j:deeplearning4j-nn:1.0.0-beta4 (
)
| ±-- org.apache.commons:commons-math3:3.5
| ±-- commons-io:commons-io:2.5 -> 2.6
| ±-- org.apache.commons:commons-compress:1.16.1 ()
| ±-- com.google.guava:guava:20.0 -> 26.0-jre (
)
| ±-- org.nd4j:nd4j-api:1.0.0-beta4 ()
| ±-- org.apache.commons:commons-lang3:3.6 -> 3.8.1
| ±-- org.nd4j:jackson:1.0.0-beta4 (
)
| ±-- org.datavec:datavec-api:1.0.0-beta4 ()
| ±-- org.datavec:datavec-data-image:1.0.0-beta4 (
)
| — org.deeplearning4j:deeplearning4j-ui-components:1.0.0-beta4
| ±-- org.nd4j:jackson:1.0.0-beta4 ()
| ±-- org.freemarker:freemarker:2.3.23
| ±-- commons-io:commons-io:2.5 -> 2.6
| — org.nd4j:nd4j-common:1.0.0-beta4 (
)
±-- org.nd4j:nd4j-native-platform:1.0.0-beta4
| ±-- org.bytedeco:openblas-platform:0.3.5-1.5
| | — org.bytedeco:openblas:0.3.5-1.5
| | — org.bytedeco:javacpp:1.5
| ±-- org.bytedeco:mkl-platform:2019.3-1.5
| | — org.bytedeco:mkl:2019.3-1.5
| | — org.bytedeco:javacpp:1.5
| ±-- org.bytedeco:mkl-dnn-platform:0.18.1-1.5
| | — org.bytedeco:mkl-dnn:0.18.1-1.5
| | — org.bytedeco:javacpp:1.5
| — org.nd4j:nd4j-native:1.0.0-beta4
| ±-- org.bytedeco:javacpp:1.5
| ±-- org.bytedeco:openblas:0.3.5-1.5 ()
| ±-- org.bytedeco:mkl:2019.3-1.5 (
)
| ±-- org.bytedeco:mkl-dnn:0.18.1-1.5 ()
| ±-- org.nd4j:nd4j-native-api:1.0.0-beta4 (
)
| — org.nd4j:nd4j-api:1.0.0-beta4 ()
±-- org.deeplearning4j:deeplearning4j-ui_2.10:1.0.0-beta4
| ±-- org.deeplearning4j:deeplearning4j-play_2.10:1.0.0-beta4
| | ±-- org.deeplearning4j:deeplearning4j-ui-model:1.0.0-beta4
| | | ±-- org.deeplearning4j:deeplearning4j-core:1.0.0-beta4 (
)
| | | ±-- org.nd4j:nd4j-api:1.0.0-beta4 ()
| | | ±-- org.nd4j:nd4j-native-api:1.0.0-beta4 (
)
| | | ±-- org.agrona:Agrona:0.5.4
| | | ±-- org.mapdb:mapdb:3.0.5
| | | | ±-- org.jetbrains.kotlin:kotlin-stdlib:1.0.7
| | | | | — org.jetbrains.kotlin:kotlin-runtime:1.0.7
| | | | ±-- org.eclipse.collections:eclipse-collections-api:[7.0.0,7.20.0) -> 7.1.2
| | | | | — net.jcip:jcip-annotations:1.0
| | | | ±-- org.eclipse.collections:eclipse-collections:[7.0.0,7.20.0) -> 7.1.2
| | | | | ±-- org.eclipse.collections:eclipse-collections-api:7.1.2 ()
| | | | | — net.jcip:jcip-annotations:1.0
| | | | ±-- org.eclipse.collections:eclipse-collections-forkjoin:[7.0.0,7.20.0) -> 7.1.2
| | | | | ±-- org.eclipse.collections:eclipse-collections-api:7.1.2 (
)
| | | | | — org.eclipse.collections:eclipse-collections:7.1.2 ()
| | | | ±-- com.google.guava:guava:[15.0,19.20) -> 26.0-jre (
)
| | | | ±-- net.jpountz.lz4:lz4:1.3.0
| | | | — org.mapdb:elsa:3.0.0-M5
| | | — org.xerial:sqlite-jdbc:3.15.1
| | ±-- com.google.guava:guava:20.0 -> 26.0-jre ()
| | ±-- com.google.protobuf:protobuf-java:2.6.1
| | ±-- com.typesafe.akka:akka-actor_2.10:2.3.16
| | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | — com.typesafe:config:1.2.1 -> 1.3.0
| | ±-- com.typesafe.akka:akka-slf4j_2.10:2.3.16
| | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | ±-- com.typesafe.akka:akka-actor_2.10:2.3.16 (
)
| | | — org.slf4j:slf4j-api:1.7.5 -> 1.7.25
| | ±-- javax.ws.rs:javax.ws.rs-api:2.0 -> 2.1
| | ±-- joda-time:joda-time:2.2 -> 2.8.1
| | ±-- org.apache.commons:commons-lang3:3.6 -> 3.8.1
| | ±-- org.hibernate:hibernate-validator:5.1.3.Final -> 5.3.6.Final ()
| | ±-- org.scala-lang:scala-library:2.10.7
| | ±-- org.scala-lang:scala-reflect:2.10.7
| | | — org.scala-lang:scala-library:2.10.7
| | ±-- org.yaml:snakeyaml:1.12 -> 1.17
| | ±-- com.typesafe.play:play-java_2.10:2.4.8
| | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | ±-- com.typesafe.play:play_2.10:2.4.8
| | | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | ±-- com.typesafe.play:build-link:2.4.8
| | | | | ±-- com.typesafe.play:play-exceptions:2.4.8
| | | | | — org.javassist:javassist:3.19.0-GA -> 3.23.1-GA
| | | | ±-- com.typesafe.play:play-iteratees_2.10:2.4.8
| | | | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | | ±-- org.scala-stm:scala-stm_2.10:0.7
| | | | | | — org.scala-lang:scala-library:2.10.0 -> 2.10.7
| | | | | — com.typesafe:config:1.3.0
| | | | ±-- com.typesafe.play:play-json_2.10:2.4.8
| | | | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | | ±-- com.typesafe.play:play-iteratees_2.10:2.4.8 (
)
| | | | | ±-- com.typesafe.play:play-functional_2.10:2.4.8
| | | | | | — org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | | ±-- com.typesafe.play:play-datacommons_2.10:2.4.8
| | | | | | — org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | | ±-- joda-time:joda-time:2.8.1
| | | | | ±-- org.joda:joda-convert:1.7
| | | | | ±-- org.scala-lang:scala-reflect:2.10.5 -> 2.10.7 ()
| | | | | ±-- com.fasterxml.jackson.core:jackson-core:2.5.4 -> 2.8.11
| | | | | ±-- com.fasterxml.jackson.core:jackson-annotations:2.5.4 -> 2.8.11
| | | | | ±-- com.fasterxml.jackson.core:jackson-databind:2.5.4 -> 2.8.11 (
)
| | | | | ±-- com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.5.4
| | | | | | ±-- com.fasterxml.jackson.core:jackson-core:2.5.4 -> 2.8.11
| | | | | | — com.fasterxml.jackson.core:jackson-databind:2.5.4 -> 2.8.11 ()
| | | | | — com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.5.4
| | | | | ±-- com.fasterxml.jackson.core:jackson-core:2.5.4 -> 2.8.11
| | | | | — com.fasterxml.jackson.core:jackson-databind:2.5.4 -> 2.8.11 (
)
| | | | ±-- com.typesafe.play:play-netty-utils:2.4.8
| | | | | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | | | | ±-- org.slf4j:jul-to-slf4j:1.7.21 -> 1.7.25 ()
| | | | | — org.slf4j:jcl-over-slf4j:1.7.21 -> 1.7.25 (
)
| | | | ±-- com.typesafe.play:twirl-api_2.10:1.1.1
| | | | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | | — org.apache.commons:commons-lang3:3.4 -> 3.8.1
| | | | ±-- org.slf4j:slf4j-api:1.7.21 -> 1.7.25
| | | | ±-- org.slf4j:jul-to-slf4j:1.7.21 -> 1.7.25 ()
| | | | ±-- org.slf4j:jcl-over-slf4j:1.7.21 -> 1.7.25 (
)
| | | | ±-- ch.qos.logback:logback-core:1.1.3 -> 1.2.3
| | | | ±-- ch.qos.logback:logback-classic:1.1.3 -> 1.2.3 ()
| | | | ±-- com.typesafe.akka:akka-actor_2.10:2.3.13 -> 2.3.16 (
)
| | | | ±-- com.typesafe.akka:akka-slf4j_2.10:2.3.13 -> 2.3.16 ()
| | | | ±-- com.fasterxml.jackson.core:jackson-core:2.5.4 -> 2.8.11
| | | | ±-- com.fasterxml.jackson.core:jackson-annotations:2.5.4 -> 2.8.11
| | | | ±-- com.fasterxml.jackson.core:jackson-databind:2.5.4 -> 2.8.11 (
)
| | | | ±-- com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.5.4 ()
| | | | ±-- com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.5.4 (
)
| | | | ±-- org.scala-stm:scala-stm_2.10:0.7 ()
| | | | ±-- commons-codec:commons-codec:1.10 -> 1.11
| | | | ±-- joda-time:joda-time:2.8.1
| | | | ±-- org.joda:joda-convert:1.7
| | | | ±-- org.apache.commons:commons-lang3:3.4 -> 3.8.1
| | | | ±-- xerces:xercesImpl:2.11.0
| | | | | — xml-apis:xml-apis:1.4.01
| | | | ±-- javax.transaction:jta:1.1
| | | | ±-- com.google.inject:guice:4.0 -> 4.2.0 (
)
| | | | ±-- com.google.inject.extensions:guice-assistedinject:4.0
| | | | | — com.google.inject:guice:4.0 -> 4.2.0 ()
| | | | — org.scala-lang:scala-reflect:2.10.5 -> 2.10.7 (
)
| | | ±-- org.scala-lang.modules:scala-java8-compat_2.10:0.3.0
| | | | — org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | ±-- org.yaml:snakeyaml:1.15 -> 1.17
| | | ±-- org.hibernate:hibernate-validator:5.0.3.Final -> 5.3.6.Final ()
| | | ±-- org.jboss.logging:jboss-logging:3.2.1.Final -> 3.3.1.Final
| | | ±-- org.springframework:spring-context:4.1.6.RELEASE -> 4.3.18.RELEASE (
)
| | | ±-- org.springframework:spring-core:4.1.6.RELEASE -> 4.3.18.RELEASE ()
| | | ±-- org.springframework:spring-beans:4.1.6.RELEASE -> 4.3.18.RELEASE (
)
| | | ±-- org.reflections:reflections:0.9.9 -> 0.9.11 ()
| | | ±-- com.google.guava:guava:18.0 -> 26.0-jre (
)
| | | ±-- org.apache.tomcat:tomcat-servlet-api:8.0.21
| | | — org.javassist:javassist:3.19.0-GA -> 3.23.1-GA
| | ±-- net.jodah:typetools:0.5.0
| | ±-- com.typesafe.play:play-netty-server_2.10:2.4.8
| | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | ±-- com.typesafe.play:play-server_2.10:2.4.8
| | | | ±-- org.scala-lang:scala-library:2.10.5 -> 2.10.7
| | | | ±-- com.typesafe.play:play_2.10:2.4.8 ()
| | | | — com.typesafe.play:play-iteratees_2.10:2.4.8 (
)
| | | ±-- io.netty:netty:3.10.4.Final
| | | — com.typesafe.netty:netty-http-pipelining:1.1.4
| | | — io.netty:netty:3.10.1.Final -> 3.10.4.Final
| | ±-- org.fusesource.leveldbjni:leveldbjni-all:1.8
| | ±-- com.typesafe.akka:akka-contrib_2.10:2.3.16
| | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | ±-- com.typesafe.akka:akka-remote_2.10:2.3.16
| | | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | | ±-- com.typesafe.akka:akka-actor_2.10:2.3.16 ()
| | | | ±-- io.netty:netty:3.8.0.Final -> 3.10.4.Final
| | | | ±-- com.google.protobuf:protobuf-java:2.5.0 -> 2.6.1
| | | | — org.uncommons.maths:uncommons-maths:1.2.2a
| | | ±-- com.typesafe.akka:akka-cluster_2.10:2.3.16
| | | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | | — com.typesafe.akka:akka-remote_2.10:2.3.16 (
)
| | | — com.typesafe.akka:akka-persistence-experimental_2.10:2.3.16
| | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | ±-- com.typesafe.akka:akka-actor_2.10:2.3.16 ()
| | | ±-- org.iq80.leveldb:leveldb:0.5
| | | | ±-- org.iq80.leveldb:leveldb-api:0.5
| | | | — com.google.guava:guava:12.0 -> 26.0-jre (
)
| | | ±-- org.fusesource.leveldbjni:leveldbjni-all:1.7 -> 1.8
| | | — com.google.protobuf:protobuf-java:2.5.0 -> 2.6.1
| | ±-- com.fasterxml.jackson.core:jackson-core:2.5.1 -> 2.8.11
| | ±-- com.fasterxml.jackson.core:jackson-databind:2.5.1 -> 2.8.11 ()
| | ±-- com.fasterxml.jackson.core:jackson-annotations:2.5.1 -> 2.8.11
| | ±-- com.fasterxml.jackson.module:jackson-module-scala_2.10:2.5.1
| | | ±-- org.scala-lang:scala-library:2.10.4 -> 2.10.7
| | | ±-- org.scala-lang:scala-reflect:2.10.4 -> 2.10.7 (
)
| | | ±-- com.fasterxml.jackson.core:jackson-core:2.5.1 -> 2.8.11
| | | ±-- com.fasterxml.jackson.core:jackson-annotations:2.5.1 -> 2.8.11
| | | ±-- com.fasterxml.jackson.core:jackson-databind:2.5.1 -> 2.8.11 ()
| | | — com.thoughtworks.paranamer:paranamer:2.6
| | ±-- com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.5.1 -> 2.5.4 (
)
| | ±-- com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.5.1 -> 2.5.4 ()
| | ±-- com.typesafe:config:1.3.0
| | ±-- com.typesafe.akka:akka-cluster_2.10:2.3.16 (
)
| | ±-- com.beust:jcommander:1.27 -> 1.72
| | ±-- ch.qos.logback:logback-classic:1.2.3 ()
| | ±-- org.slf4j:jul-to-slf4j:1.7.21 -> 1.7.25 (
)
| | ±-- org.webjars:bootstrap:2.3.2 -> 4.1.3 ()
| | ±-- org.webjars.npm:bootstrap:4.2.1
| | ±-- org.webjars:jquery:2.2.0 -> 3.3.1-1
| | ±-- org.webjars:jquery-migrate:1.2.1
| | | — org.webjars:jquery:1.9.0 -> 3.3.1-1
| | ±-- org.webjars:jquery-ui:1.10.2
| | | — org.webjars:jquery:1.9.1 -> 3.3.1-1
| | ±-- org.webjars:modernizr:2.8.3-1
| | ±-- org.webjars:jquery-cookie:1.4.1-1
| | | — org.webjars:jquery:1.10.2 -> 3.3.1-1
| | ±-- org.webjars:fullcalendar:1.6.4
| | | — org.webjars:jquery:1.10.2-1 -> 3.3.1-1
| | ±-- org.webjars:excanvas:3
| | ±-- org.webjars.npm:cytoscape:3.3.3
| | | ±-- org.webjars.npm:heap:[0.2.6,0.3) -> 0.2.6
| | | — org.webjars.npm:lodash.debounce:[4.0.8,5) -> 4.0.8
| | ±-- org.webjars.bower:cytoscape-dagre:2.1.0
| | | ±-- org.webjars.bower:cytoscape:[3.2.0,4) -> 3.2.5
| | | — org.webjars.bower:dagre:[0.7.4,0.8) -> 0.7.4
| | | ±-- org.webjars.bower:graphlib:[1.0.5,2) -> 1.0.7
| | | | — org.webjars.bower:lodash:[3.10.0,4) -> 3.10.1
| | | — org.webjars.bower:lodash:[3.10.0,4) -> 3.10.1
| | ±-- org.webjars.npm:dagre:0.8.4
| | | ±-- org.webjars.npm:graphlib:[2.1.7,3) -> 2.1.8
| | | | — org.webjars.npm:lodash:[4.17.15,5) -> 4.17.15
| | | — org.webjars.npm:lodash:[4.17.4,5) -> 4.17.15
| | ±-- org.webjars.npm:cytoscape-cola:2.3.0
| | | — org.webjars.npm:webcola:[3.3.6,4) -> 3.3.8
| | | ±-- org.webjars.npm:d3-dispatch:[1.0.3,2) -> 1.0.6
| | | ±-- org.webjars.npm:d3-drag:[1.0.4,2) -> 1.2.5
| | | | ±-- org.webjars.npm:d3-dispatch:[1,2) -> 1.0.6
| | | | — org.webjars.npm:d3-selection:[1,2) -> 1.4.0
| | | — org.webjars.npm:d3-timer:[1.0.5,2) -> 1.0.10
| | ±-- org.webjars.npm:webcola:3.1.3 -> 3.3.8 (
)
| | ±-- org.webjars.npm:cytoscape-cose-bilkent:4.0.0
| | ±-- org.webjars.npm:cytoscape-euler:1.2.1
| | ±-- org.webjars.npm:cytoscape-klay:3.1.2
| | | — org.webjars.npm:klayjs:[0.4.1,0.5) -> 0.4.1
| | ±-- org.webjars.npm:klayjs:0.4.1
| | ±-- org.webjars.npm:cytoscape-spread:3.0.0
| | | — org.webjars.npm:weaverjs:[1.2.0,2) -> 1.2.0
| | ±-- org.webjars.npm:weaverjs:1.2.0
| | ±-- org.webjars:retinajs:0.0.2
| | ±-- org.webjars:flot:0.8.3
| | | ±-- org.webjars:jquery:1.11.1 -> 3.3.1-1
| | | — org.webjars:explorercanvas:r3-1
| | ±-- org.webjars:chosen:0.9.8
| | ±-- org.webjars:uniform:2.1.2-1
| | | — org.webjars:jquery:1.11.1 -> 3.3.1-1
| | ±-- org.webjars:noty:2.2.2
| | | — org.webjars:jquery:2.1.0-2 -> 3.3.1-1
| | ±-- org.webjars:jquery-raty:2.5.2
| | ±-- org.webjars:imagesloaded:2.1.1
| | | — org.webjars:jquery:1.8.3 -> 3.3.1-1
| | ±-- org.webjars:masonry:3.1.5
| | ±-- org.webjars:jquery.sparkline:2.1.2
| | | — org.webjars:jquery:2.1.1 -> 3.3.1-1
| | ±-- org.webjars:jquery-knob:1.2.2
| | | — org.webjars:jquery:1.9.1 -> 3.3.1-1
| | ±-- org.webjars:datatables:1.9.4
| | ±-- org.webjars:jquery-ui-touch-punch:0.2.2
| | ±-- org.webjars:d3js:3.3.5
| | ±-- org.webjars:bootstrap-notify:3.1.3-1
| | ±-- org.webjars.npm:github-com-jboesch-Gritter:1.7.4
| | ±-- org.webjars.bowergithub.stenin-nikita:open-sans:0.1.3
| | ±-- org.webjars:font-awesome:3.0.2
| | | — org.webjars:bootstrap:2.2.2-1 -> 4.1.3 ()
| | ±-- org.webjars:bootstrap-glyphicons:bdd2cbfba0
| | — org.webjars.npm:flatbuffers:1.9.0
| ±-- commons-io:commons-io:2.5 -> 2.6
| ±-- org.deeplearning4j:deeplearning4j-nlp:1.0.0-beta4
| | ±-- org.nd4j:nd4j-native-api:1.0.0-beta4 (
)
| | ±-- commons-lang:commons-lang:2.6
| | ±-- org.deeplearning4j:deeplearning4j-core:1.0.0-beta4 ()
| | ±-- org.threadly:threadly:4.10.0
| | ±-- org.objenesis:objenesis:2.6
| | ±-- org.nd4j:nd4j-jackson:1.0.0-beta4 (
)
| | — org.apache.commons:commons-lang3:3.6 -> 3.8.1
| ±-- org.nd4j:nd4j-jackson:1.0.0-beta4 ()
| — org.deeplearning4j:deeplearning4j-ui-model:1.0.0-beta4 (
)
±-- org.deeplearning4j:deeplearning4j-play_2.10:1.0.0-beta4 (*)

So do I understand this right, that some other lib also has jquery/bootstrap as a dependency, but a new version and thus we only include this newer version? How does one usually handle such conflict?

we changed how the UI is handled in beta6, so you should certainly update first.

But yes, if you have things that require incompatible dependencies, you will have a problem in any case.

For dl4j’s ui we suggest to run it externally then, the RemoteUI example shows how to do that.

Just to give a small update. It was actually enough to update the version of dl4j to beta6. Thank you.